Search Results for

Show / Hide Table of Contents

# Class Command

Actions which can be performed by the application or bound to keys in a View control.

##### Inheritance

System.Object
Command

###### Namespace: Terminal.Gui

###### Assembly: Terminal.Gui.dll

##### Syntax

    public sealed class Command : Enum

### Fields

#### Accept

Accepts the current state (e.g. selection, button press etc)

##### Declaration

    public const Command Accept

##### Field Value

Type | Description
--- | ---
Command |

#### BackTab

Inserts a shift tab.

##### Declaration

    public const Command BackTab

##### Field Value

Type | Description
--- | ---
Command |

#### BottomEnd

Moves to bottom end.

##### Declaration

    public const Command BottomEnd

##### Field Value

Type | Description
--- | ---
Command |

#### BottomEndExtend

Extends the selection to the bottom end.

##### Declaration

    public const Command BottomEndExtend

##### Field Value

Type | Description
--- | ---
Command |

#### Cancel

Cancels any current temporary states on the control e.g. expanding a combo list

##### Declaration

    public const Command Cancel

##### Field Value

Type | Description
--- | ---
Command |

#### Collapse

Collapses a list or item (with subitems)

##### Declaration

    public const Command Collapse

##### Field Value

Type | Description
--- | ---
Command |

#### CollapseAll

Recursively collapses a list items of their children (if any)

##### Declaration

    public const Command CollapseAll

##### Field Value

Type | Description
--- | ---
Command |

#### Copy

Copies the current selection.

##### Declaration

    public const Command Copy

##### Field Value

Type | Description
--- | ---
Command |

#### Cut

Cuts the current selection.

##### Declaration

    public const Command Cut

##### Field Value

Type | Description
--- | ---
Command |

#### CutToEndLine

Deletes and copies to the clipboard the characters from the current position to the end of the line.

##### Declaration

    public const Command CutToEndLine

##### Field Value

Type | Description
--- | ---
Command |

#### CutToStartLine

Deletes and copies to the clipboard the characters from the current position to the start of the line.

##### Declaration

    public const Command CutToStartLine

##### Field Value

Type | Description
--- | ---
Command |

#### DeleteAll

Deletes all objects in the control.

##### Declaration

    public const Command DeleteAll

##### Field Value

Type | Description
--- | ---
Command |

#### DeleteCharLeft

Deletes the character on the left.

##### Declaration

    public const Command DeleteCharLeft

##### Field Value

Type | Description
--- | ---
Command |

#### DeleteCharRight

Deletes the character on the right.

##### Declaration

    public const Command DeleteCharRight

##### Field Value

Type | Description
--- | ---
Command |

#### DisableOverwrite

Disables overwrite mode (EnableOverwrite)

##### Declaration

    public const Command DisableOverwrite

##### Field Value

Type | Description
--- | ---
Command |

#### EnableOverwrite

Enables overwrite mode such that newly typed text overwrites the text that is already there (typically associated with the Insert key).

##### Declaration

    public const Command EnableOverwrite

##### Field Value

Type | Description
--- | ---
Command |

#### EndOfLine

Moves the cursor to the end of line.

##### Declaration

    public const Command EndOfLine

##### Field Value

Type | Description
--- | ---
Command |

#### EndOfLineExtend

Extends the selection to the end of line.

##### Declaration

    public const Command EndOfLineExtend

##### Field Value

Type | Description
--- | ---
Command |

#### EndOfPage

Moves the cursor to the bottom of page.

##### Declaration

    public const Command EndOfPage

##### Field Value

Type | Description
--- | ---
Command |

#### Expand

Expands a list or item (with subitems)

##### Declaration

    public const Command Expand

##### Field Value

Type | Description
--- | ---
Command |

#### ExpandAll

Recursively Expands all child items and their child items (if any)

##### Declaration

    public const Command ExpandAll

##### Field Value

Type | Description
--- | ---
Command |

#### KillWordBackwards

Deletes the characters backwards.

##### Declaration

    public const Command KillWordBackwards

##### Field Value

Type | Description
--- | ---
Command |

#### KillWordForwards

Deletes the characters forwards.

##### Declaration

    public const Command KillWordForwards

##### Field Value

Type | Description
--- | ---
Command |

#### Left

Moves the selection left one by the minimum increment supported by the view e.g. single character, cell, item etc.

##### Declaration

    public const Command Left

##### Field Value

Type | Description
--- | ---
Command |

#### LeftExtend

Extends the selection left one by the minimum increment supported by the view e.g. single character, cell, item etc.

##### Declaration

    public const Command LeftExtend

##### Field Value

Type | Description
--- | ---
Command |

#### LeftHome

Moves to the left begin.

##### Declaration

    public const Command LeftHome

##### Field Value

Type | Description
--- | ---
Command |

#### LeftHomeExtend

Extends the selection to the left begin.

##### Declaration

    public const Command LeftHomeExtend

##### Field Value

Type | Description
--- | ---
Command |

#### LineDown

Moves the caret down one line.

##### Declaration

    public const Command LineDown

##### Field Value

Type | Description
--- | ---
Command |

#### LineDownExtend

Extends the selection down one line.

##### Declaration

    public const Command LineDownExtend

##### Field Value

Type | Description
--- | ---
Command |

#### LineDownToLastBranch

Moves the caret down to the last child node of the branch that holds the current selection

##### Declaration

    public const Command LineDownToLastBranch

##### Field Value

Type | Description
--- | ---
Command |

#### LineUp

Moves the caret up one line.

##### Declaration

    public const Command LineUp

##### Field Value

Type | Description
--- | ---
Command |

#### LineUpExtend

Extends the selection up one line.

##### Declaration

    public const Command LineUpExtend

##### Field Value

Type | Description
--- | ---
Command |

#### LineUpToFirstBranch

Moves the caret up to the first child node of the branch that holds the current selection

##### Declaration

    public const Command LineUpToFirstBranch

##### Field Value

Type | Description
--- | ---
Command |

#### NewLine

Inserts a new line.

##### Declaration

    public const Command NewLine

##### Field Value

Type | Description
--- | ---
Command |

#### NextView

Moves focus to the next view.

##### Declaration

    public const Command NextView

##### Field Value

Type | Description
--- | ---
Command |

#### NextViewOrTop

Moves focus to the next view or toplevel (case of Mdi).

##### Declaration

    public const Command NextViewOrTop

##### Field Value

Type | Description
--- | ---
Command |

#### OpenSelectedItem

Open selected item.

##### Declaration

    public const Command OpenSelectedItem

##### Field Value

Type | Description
--- | ---
Command |

#### PageDown

Move the page down.

##### Declaration

    public const Command PageDown

##### Field Value

Type | Description
--- | ---
Command |

#### PageDownExtend

Move the page down increase selection area to cover revealed objects/characters.

##### Declaration

    public const Command PageDownExtend

##### Field Value

Type | Description
--- | ---
Command |

#### PageLeft

Moves to the left page.

##### Declaration

    public const Command PageLeft

##### Field Value

Type | Description
--- | ---
Command |

#### PageRight

Moves to the right page.

##### Declaration

    public const Command PageRight

##### Field Value

Type | Description
--- | ---
Command |

#### PageUp

Move the page up.

##### Declaration

    public const Command PageUp

##### Field Value

Type | Description
--- | ---
Command |

#### PageUpExtend

Move the page up increase selection area to cover revealed objects/characters.

##### Declaration

    public const Command PageUpExtend

##### Field Value

Type | Description
--- | ---
Command |

#### Paste

Pastes the current selection.

##### Declaration

    public const Command Paste

##### Field Value

Type | Description
--- | ---
Command |

#### PreviousView

Moves focuss to the previous view.

##### Declaration

    public const Command PreviousView

##### Field Value

Type | Description
--- | ---
Command |

#### PreviousViewOrTop

Moves focus to the next previous or toplevel (case of Mdi).

##### Declaration

    public const Command PreviousViewOrTop

##### Field Value

Type | Description
--- | ---
Command |

#### QuitToplevel

Quit a toplevel.

##### Declaration

    public const Command QuitToplevel

##### Field Value

Type | Description
--- | ---
Command |

#### Redo

Redo changes.

##### Declaration

    public const Command Redo

##### Field Value

Type | Description
--- | ---
Command |

#### Refresh

Refresh the application.

##### Declaration

    public const Command Refresh

##### Field Value

Type | Description
--- | ---
Command |

#### Right

Moves the selection right one by the minimum increment supported by the view e.g. single character, cell, item etc.

##### Declaration

    public const Command Right

##### Field Value

Type | Description
--- | ---
Command |

#### RightEnd

Moves to the right end.

##### Declaration

    public const Command RightEnd

##### Field Value

Type | Description
--- | ---
Command |

#### RightEndExtend

Extends the selection to the right end.

##### Declaration

    public const Command RightEndExtend

##### Field Value

Type | Description
--- | ---
Command |

#### RightExtend

Extends the selection right one by the minimum increment supported by the view e.g. single character, cell, item etc.

##### Declaration

    public const Command RightExtend

##### Field Value

Type | Description
--- | ---
Command |

#### ScrollDown

Scrolls down one line (without changing the selection).

##### Declaration

    public const Command ScrollDown

##### Field Value

Type | Description
--- | ---
Command |

#### ScrollLeft

Scrolls one character to the left

##### Declaration

    public const Command ScrollLeft

##### Field Value

Type | Description
--- | ---
Command |

#### ScrollRight

Scrolls one character to the right.

##### Declaration

    public const Command ScrollRight

##### Field Value

Type | Description
--- | ---
Command |

#### ScrollUp

Scrolls up one line (without changing the selection).

##### Declaration

    public const Command ScrollUp

##### Field Value

Type | Description
--- | ---
Command |

#### SelectAll

Selects all objects in the control.

##### Declaration

    public const Command SelectAll

##### Field Value

Type | Description
--- | ---
Command |

#### StartOfLine

Moves the cursor to the start of line.

##### Declaration

    public const Command StartOfLine

##### Field Value

Type | Description
--- | ---
Command |

#### StartOfLineExtend

Extends the selection to the start of line.

##### Declaration

    public const Command StartOfLineExtend

##### Field Value

Type | Description
--- | ---
Command |

#### StartOfPage

Moves the cursor to the top of page.

##### Declaration

    public const Command StartOfPage

##### Field Value

Type | Description
--- | ---
Command |

#### Suspend

Suspend a application (used on Linux).

##### Declaration

    public const Command Suspend

##### Field Value

Type | Description
--- | ---
Command |

#### Tab

Inserts a tab.

##### Declaration

    public const Command Tab

##### Field Value

Type | Description
--- | ---
Command |

#### ToggleChecked

Toggle the checked state.

##### Declaration

    public const Command ToggleChecked

##### Field Value

Type | Description
--- | ---
Command |

#### ToggleExpandCollapse

Toggles the Expanded or collapsed state of a a list or item (with subitems)

##### Declaration

    public const Command ToggleExpandCollapse

##### Field Value

Type | Description
--- | ---
Command |

#### ToggleExtend

Toggles the extended selection.

##### Declaration

    public const Command ToggleExtend

##### Field Value

Type | Description
--- | ---
Command |

#### ToggleOverwrite

Toggles overwrite mode such that newly typed text overwrites the text that is already there (typically associated with the Insert key).

##### Declaration

    public const Command ToggleOverwrite

##### Field Value

Type | Description
--- | ---
Command |

#### TopHome

Moves to top begin.

##### Declaration

    public const Command TopHome

##### Field Value

Type | Description
--- | ---
Command |

#### TopHomeExtend

Extends the selection to the top begin.

##### Declaration

    public const Command TopHomeExtend

##### Field Value

Type | Description
--- | ---
Command |

#### Undo

Undo changes.

##### Declaration

    public const Command Undo

##### Field Value

Type | Description
--- | ---
Command |

#### UnixEmulation

Unix emulation

##### Declaration

    public const Command UnixEmulation

##### Field Value

Type | Description
--- | ---
Command |

#### value__

##### Declaration

    public int value__

##### Field Value

Type | Description
--- | ---
System.Int32 |

#### WordLeft

Moves the caret to the start of the previous word.

##### Declaration

    public const Command WordLeft

##### Field Value

Type | Description
--- | ---
Command |

#### WordLeftExtend

Extends the selection to the start of the previous word.

##### Declaration

    public const Command WordLeftExtend

##### Field Value

Type | Description
--- | ---
Command |

#### WordRight

Moves the caret to the start of the next word.

##### Declaration

    public const Command WordRight

##### Field Value

Type | Description
--- | ---
Command |

#### WordRightExtend

Extends the selection to the start of the next word.

##### Declaration

    public const Command WordRightExtend

##### Field Value

Type | Description
--- | ---
Command |